Package org.github.jamm.listeners

# Class TreePrinter.Factory

java.lang.Object
org.github.jamm.listeners.TreePrinter.Factory

All Implemented Interfaces:
  `MemoryMeterListener.Factory`

Enclosing class:
  `TreePrinter`

public static class TreePrinter.Factory extends Object implements MemoryMeterListener.Factory
Factory for `TreePrinter` instances.

## Constructor Summary

Constructors
Constructor
Description
`Factory(int maxDepth)`
Creates a new `Factory` instance which create `TreePrinter` that will print the visited trees up to the specified maxDepth.

## Method Summary

Modifier and Type
Method
Description
`MemoryMeterListener`
`newInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory(int maxDepth)
Creates a new `Factory` instance which create `TreePrinter` that will print the visited trees up to the specified maxDepth.

Parameters:
  `maxDepth` - the maximum depth of the trees to be printed

## Method Details

### newInstance

public MemoryMeterListener newInstance()

Specified by:
  `newInstance` in interface `MemoryMeterListener.Factory`